> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ingest Round



## OpenAPI

````yaml post /api/v1/memory/ingest
openapi: 3.1.0
info:
  title: EDN Memory Engine
  version: 0.1.0
servers:
  - description: EDN evaluation endpoint
    url: https://api.tensorpro.ai
security:
  - EDNApiKey: []
paths:
  /api/v1/memory/ingest:
    post:
      summary: Ingest Round
      operationId: ingest_round_api_v1_memory_ingest_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IngestRoundRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IngestRoundResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    IngestRoundRequest:
      properties:
        assistant_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Assistant Message
        project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Id
        response_time_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Response Time Ms
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
        timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Timestamp
        user_message:
          anyOf:
            - type: string
            - type: 'null'
          title: User Message
      title: IngestRoundRequest
      type: object
    IngestRoundResponse:
      properties:
        records_written:
          title: Records Written
          type: integer
        round_id:
          title: Round Id
          type: string
        status:
          title: Status
          type: string
      required:
        - status
        - records_written
        - round_id
      title: IngestRoundResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    EDNApiKey:
      description: >-
        EDN API key presented as 'Bearer <key>' in the Authorization header.
        Create and manage keys from the Console.
      in: header
      name: Authorization
      type: apiKey

````